All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2
Interface RemoteFileSelectorKeysInterface

All Known Implementing Classes:
  InformationServicesSearch, InformationServicesSelector, RemoteFileSearch, RemoteFileSelector, RemoteFileToolBar

    public interface RemoteFileSelectorKeysInterface

This interface provides the component keys for the `RemoteFileSelector` transformation bean.

Field Summary
`static java.lang.String` | `RFS_DETAILVIEW` Component key for the detail or table view of the files
`static java.lang.String` | `RFS_EXPANDCOLLAPSE`
`static java.lang.String` | `RFS_FILE_DETAILVIEW`
`static java.lang.String` | `RFS_REMOTEFILESEARCH`
`static java.lang.String` | `RFS_SEARCH` Component key for the search portion of the RemoteFileSelector
`static java.lang.String` | `RFS_SEARCH_DETAILVIEW`
`static java.lang.String` | `RFS_SEARCHDATETIMELIMITS_CHOICE` Component key for the Date/time limits entry field
`static java.lang.String` | `RFS_SEARCHDATETIMELIMITS_LABEL` Component key for the Date/time limits label
`static java.lang.String` | `RFS_SEARCHINTHELAST_LABEL` Component key for "In the last" label
`static java.lang.String` | `RFS_SEARCHINTHELASTUNIT_CHOICE` Component key for "In the last" unit
`static java.lang.String` | `RFS_SEARCHINTHELASTVALUE_ENTRYFIELD` Component key for "In the last" value
`static java.lang.String` | `RFS_SEARCHRESULTS_DETAILVIEW` Comonent key for the detail view used by the search component.
`static java.lang.String` | `RFS_SEARCHSTART_BUTTON` Component key for the "Search" button
`static java.lang.String` | `RFS_SEARCHSTOP_BUTTON` Component key for the "Cancel" button
`static java.lang.String` | `RFS_SEARCHSUBFOLDERS_SELECT` Component key for the "Search subfolders" component
`static java.lang.String` | `RFS_SEARCHTEXT_ENTRYFIELD` Component key for the "Search for" entry field or Search Text entry field
`static java.lang.String` | `RFS_SEARCHTEXT_LABEL` Component key for the "Search for" label or Search Text label
`static java.lang.String` | `RFS_SEARCHWHAT_CHOICE` Component key for the "Search What" entry field or search fields entry field
`static java.lang.String` | `RFS_SEARCHWHAT_LABEL` Component key for the "Search What" label or search fields label
`static java.lang.String` | `RFS_SEARCHWHERE_CHOICE` Component key for the "Search Where" entry or search folder entry
`static java.lang.String` | `RFS_SEARCHWHERE_LABEL` Component key for the "Search Where" label or search folder label
`static java.lang.String` | `RFS_TOOLBAR` Component key for the toolbar portion of the RemoteFileSelector
`static java.lang.String` | `RFS_TOOLBAR_LOCATION_CHOICE` Component key for the location drop-down
`static java.lang.String` | `RFS_TOOLBAR_LOCATION_LABEL` Component key for the "Toolbar" location label
`static java.lang.String` | `RFS_TOOLBAR_SHOWDESCRIPTION_COMPONENT` Component key for showDescription component
`static java.lang.String` | `RFS_UPONELEVEL_ACTION` Component key for the Actions menu with "Up One Level"

Field Detail

### RFS_SEARCH

    static final java.lang.String RFS_SEARCH

  Component key for the search portion of the RemoteFileSelector

  See Also:
    Constant Field Values

### RFS_TOOLBAR

    static final java.lang.String RFS_TOOLBAR

  Component key for the toolbar portion of the RemoteFileSelector

  See Also:
    Constant Field Values

### RFS_SEARCHRESULTS_DETAILVIEW

    static final java.lang.String RFS_SEARCHRESULTS_DETAILVIEW

  Comonent key for the detail view used by the search component.

  See Also:
    Constant Field Values

### RFS_SEARCHTEXT_LABEL

    static final java.lang.String RFS_SEARCHTEXT_LABEL

  Component key for the "Search for" label or Search Text label

  See Also:
    Constant Field Values

### RFS_SEARCHTEXT_ENTRYFIELD

    static final java.lang.String RFS_SEARCHTEXT_ENTRYFIELD

  Component key for the "Search for" entry field or Search Text entry field

  See Also:
    Constant Field Values

### RFS_SEARCHWHAT_LABEL

    static final java.lang.String RFS_SEARCHWHAT_LABEL

  Component key for the "Search What" label or search fields label

  See Also:
    Constant Field Values

### RFS_SEARCHWHAT_CHOICE

    static final java.lang.String RFS_SEARCHWHAT_CHOICE

  Component key for the "Search What" entry field or search fields entry field

  See Also:
    Constant Field Values

### RFS_SEARCHWHERE_LABEL

    static final java.lang.String RFS_SEARCHWHERE_LABEL

  Component key for the "Search Where" label or search folder label

  See Also:
    Constant Field Values

### RFS_SEARCHWHERE_CHOICE

    static final java.lang.String RFS_SEARCHWHERE_CHOICE

  Component key for the "Search Where" entry or search folder entry

  See Also:
    Constant Field Values

### RFS_SEARCHSUBFOLDERS_SELECT

    static final java.lang.String RFS_SEARCHSUBFOLDERS_SELECT

  Component key for the "Search subfolders" component

  See Also:
    Constant Field Values

### RFS_SEARCHDATETIMELIMITS_LABEL

    static final java.lang.String RFS_SEARCHDATETIMELIMITS_LABEL

  Component key for the Date/time limits label

  See Also:
    Constant Field Values

### RFS_SEARCHDATETIMELIMITS_CHOICE

    static final java.lang.String RFS_SEARCHDATETIMELIMITS_CHOICE

  Component key for the Date/time limits entry field

  See Also:
    Constant Field Values

### RFS_SEARCHINTHELAST_LABEL

    static final java.lang.String RFS_SEARCHINTHELAST_LABEL

  Component key for "In the last" label

  See Also:
    Constant Field Values

### RFS_SEARCHINTHELASTVALUE_ENTRYFIELD

    static final java.lang.String RFS_SEARCHINTHELASTVALUE_ENTRYFIELD

  Component key for "In the last" value

  See Also:
    Constant Field Values

### RFS_SEARCHINTHELASTUNIT_CHOICE

    static final java.lang.String RFS_SEARCHINTHELASTUNIT_CHOICE

  Component key for "In the last" unit

  See Also:
    Constant Field Values

### RFS_SEARCHSTART_BUTTON

    static final java.lang.String RFS_SEARCHSTART_BUTTON

  Component key for the "Search" button

  See Also:
    Constant Field Values

### RFS_SEARCHSTOP_BUTTON

    static final java.lang.String RFS_SEARCHSTOP_BUTTON

  Component key for the "Cancel" button

  See Also:
    Constant Field Values

### RFS_REMOTEFILESEARCH

    static final java.lang.String RFS_REMOTEFILESEARCH

See Also:
  Constant Field Values

### RFS_EXPANDCOLLAPSE

    static final java.lang.String RFS_EXPANDCOLLAPSE

See Also:
  Constant Field Values

### RFS_TOOLBAR_LOCATION_LABEL

    static final java.lang.String RFS_TOOLBAR_LOCATION_LABEL

  Component key for the "Toolbar" location label

  See Also:
    Constant Field Values

### RFS_TOOLBAR_LOCATION_CHOICE

    static final java.lang.String RFS_TOOLBAR_LOCATION_CHOICE

  Component key for the location drop-down

  See Also:
    Constant Field Values

### RFS_UPONELEVEL_ACTION

    static final java.lang.String RFS_UPONELEVEL_ACTION

  Component key for the Actions menu with "Up One Level"

  See Also:
    Constant Field Values

### RFS_TOOLBAR_SHOWDESCRIPTION_COMPONENT

    static final java.lang.String RFS_TOOLBAR_SHOWDESCRIPTION_COMPONENT

  Component key for showDescription component

  See Also:
    Constant Field Values

### RFS_DETAILVIEW

    static final java.lang.String RFS_DETAILVIEW

  Component key for the detail or table view of the files

  See Also:
    Constant Field Values

### RFS_SEARCH_DETAILVIEW

    static final java.lang.String RFS_SEARCH_DETAILVIEW

See Also:
  Constant Field Values

### RFS_FILE_DETAILVIEW

    static final java.lang.String RFS_FILE_DETAILVIEW

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.